<template lang="pug">
#app
  .page__layout
    header-block.header--always-visible(fullwhite)
    main.main
      transition(name="router")
        nuxt
    footer-block(:blue="true")

  cookie-bar
  alert
</template>

<script>
import { layoutMixin } from '@/mixins/layouts'
import config from '@/config'

export default {
  name: 'LayoutDefault',

  head () {
    return {
      bodyAttrs: {
        class: `theme-${config.theme}`
      }
    }
  },

  mounted () {
    if (process.browser && typeof (window) !== 'undefined') {
      window.history.scrollRestoration = 'auto'
    }
  },

  mixins: [layoutMixin]
}
</script>
